Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.extract
Class ConfidenceTokenizationFilter

    java.lang.Object
      cc.mallet.extract.ConfidenceTokenizationFilter

All Implemented Interfaces:
  TokenizationFilter, java.io.Serializable

    public class ConfidenceTokenizationFilter

extends java.lang.Object
implements TokenizationFilter, java.io.Serializable

Created: Oct 26, 2005

Author:
  Serialized Form

Constructor Summary
`ConfidenceTokenizationFilter(ExtractionConfidenceEstimator confidenceEstimator, TokenizationFilter underlyingFilter)`

Method Summary
`LabeledSpans` | `constructLabeledSpans(LabelAlphabet dict, java.lang.Object document, Label backgroundTag, Tokenization input, Sequence seq)` Converts a the sequence of labels into a set of labeled spans.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfidenceTokenizationFilter

    public ConfidenceTokenizationFilter(ExtractionConfidenceEstimator confidenceEstimator,
                                        TokenizationFilter underlyingFilter)

Method Detail

### constructLabeledSpans

    public LabeledSpans constructLabeledSpans(LabelAlphabet dict,
                                              java.lang.Object document,
                                              Label backgroundTag,
                                              Tokenization input,
                                              Sequence seq)

  Description copied from interface: `TokenizationFilter`
  Converts a the sequence of labels into a set of labeled spans. Essentially, this converts the output of sequence labeling into an extraction output.

  Specified by:
    `constructLabeledSpans` in interface `TokenizationFilter`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD